Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.event
Interface EventBroadcaster

All Known Implementing Classes:
  SimpleEventBroadcaster

public interface EventBroadcaster

EventBroadcaster

Since:
  blojsom 3.0
Version:
  $Id: EventBroadcaster.java,v 1.1 2006/03/20 21:31:13 czarneckid Exp $
Author:
  David Czarnecki

Method Summary
`void` | `addListener(Listener listener)` Add a event to this event broadcaster
`void` | `addListener(Listener listener, Filter filter)` Add a event to this event broadcaster.
`void` | `broadcastEvent(Event event)` Broadcast an event to all listeners
`void` | `processEvent(Event event)` Process an event with all listeners
`void` | `removeListener(Listener listener)` Remove a event from this event broadcaster

Method Detail

### addListener

    public void addListener(Listener listener)

  Add a event to this event broadcaster

  Parameters:
    `listener` - `Listener`

### addListener

    public void addListener(Listener listener,
                            Filter filter)

  Add a event to this event broadcaster. Events are filtered using the `Filter` instance passed to this method.

  Parameters:
    `listener` - `Listener`
    `filter` - `Filter` used to filter events

### removeListener

    public void removeListener(Listener listener)

  Remove a event from this event broadcaster

  Parameters:
    `listener` - `Listener`

### broadcastEvent

    public void broadcastEvent(Event event)

  Broadcast an event to all listeners

  Parameters:
    `event` - `Event` to be broadcast to all listeners

### processEvent

    public void processEvent(Event event)

  Process an event with all listeners

  Parameters:
    `event` - `Event` to be processed by all listeners

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD